<template>
  <div class="query-panel flex-grow-0 flex-column" v-bind:class="displayClass">
    <div class="d-flex flex-grow-1 flex-row bg-light">
      <div class="d-flex flex-grow-0 align-items-start mr-auto">
        <button class="btn btn-light"
          :class="isPanelActive('info-table')"
          @click="currentPanel = 'info-table'">
          Tabela
        </button>
        <button class="btn btn-light"
          :class="isPanelActive('chart-panel')"
          @click="currentPanel = 'chart-panel'">
          Gráfico
        </button>
        <button class="btn btn-light"
          :class="isPanelActive('skewt-panel')"
          @click="currentPanel = 'skewt-panel'">
          Tefigrama
        </button>
        <div class="btn btn-light">
          <router-link :to="detailPage" target="_blank">Detalhe</router-link>
        </div>
      </div>

      <div class="d-flex flex-grow-0 align-items-end">
        <button class="btn btn-primary" @click="close">
          <font-awesome-icon icon="times"></font-awesome-icon>
        </button>
      </div>
    </div>

    <div v-show="currentPanel === 'info-table'">
      <info-table name="info-table" :location="identifier"></info-table>
    </div>
  </div>
</template>

<script>
import IdentifierMixin from '@/core/mixins/identifier'
import ParentWorkspaceMixin from '@/dashboard/mixins/ParentWorkspace'
import { RESET_CURRENT_ACTIVE_LOCATION } from '@/store/workspace/mutations'
import InfoTable from '@/dashboard/components/InfoTable'

export default {
  name: 'locationdatacontainer',
  
  mixins: [
    ParentWorkspaceMixin,
    IdentifierMixin,
  ],

  data() {
    return {
      visible: false,
      currentPanel: 'info-table',
    }
  },

  computed: {
    displayClass: {
      get() {
        return {
          'd-flex': this.visible,
          'd-none': !this.visible
        }
      }
    },

    detailPage: {
      get() {
        return '#'
      }
    },

    currentActiveLocation: {
      get() {
        return this.getWorkspaceStore().currentActiveLocation
      }
    }
  },

  watch: {
    currentActiveLocation(after) {
      this.visible = after === this.identifier
    }
  },

  methods: {
    isPanelActive(name) {
      return name === this.currentPanel
    },

    close() {
      this.commitWorkspaceMutation(this.workspace, RESET_CURRENT_ACTIVE_LOCATION)
    },
  },

  components: {
    InfoTable
  }
}
</script>
